Loading...
Searching...
No Matches
cube_io.c File Reference
`#include <inttypes.h>`
`#include <stdlib.h>`
`#include <grass/gis.h>`
`#include "viz.h"`
Include dependency graph for cube_io.c:

Go to the source code of this file.

## Functions

int | write_cube (Cube_data *Cube, int cur_x, file_info *headfax)
int | write_cube_buffer (unsigned char *Buffer, int size, int cur_x, file_info *headfax)
int | read_cube (Cube_data *Cube, file_info *headfax)
int | my_fread (char *buf, int size, int cnt, FILE *fp)
int | reset_reads (file_info *headfax)
int | new_dspf (file_info *hfax)

## Function Documentation

## my_fread()

int my_fread | ( | char * | buf,
|  | int | size,
|  | int | cnt,
|  | FILE * | fp )

Definition at line 256 of file cube_io.c.

References struct_copy().

Referenced by read_cube().

## new_dspf()

int new_dspf | ( | file_info * | hfax | ) |

Definition at line 284 of file cube_io.c.

References file_info::Dataoff, and file_info::dspfinfp.

## read_cube()

int read_cube | ( | Cube_data * | Cube,
|  | file_info * | headfax )

Definition at line 136 of file cube_io.c.

References Cube_data::data, file_info::dspfinfp, G_ftell(), file_info::linefax, cmndln_info::litmodel, my_fread(), poly_info::n1, poly_info::n2, poly_info::n3, Cube_data::n_thresh, cube_info::npoly, NULL, cube_info::poly, cube_info::t_ndx, poly_info::v1, poly_info::v2, and poly_info::v3.

## reset_reads()

int reset_reads | ( | file_info * | headfax | ) |

Definition at line 274 of file cube_io.c.

References file_info::Dataoff, and file_info::dspfinfp.

## write_cube()

int write_cube | ( | Cube_data * | Cube,
|  | int | cur_x,
|  | file_info * | headfax )

Definition at line 25 of file cube_io.c.

References cur_x, Cube_data::data, file_info::linefax, cmndln_info::litmodel, poly_info::n1, poly_info::n2, poly_info::n3, Cube_data::n_thresh, cube_info::npoly, cube_info::poly, cube_info::t_ndx, poly_info::v1, poly_info::v2, poly_info::v3, and write_cube_buffer().

## write_cube_buffer()

int write_cube_buffer | ( | unsigned char * | Buffer,
|  | int | size,
|  | int | cur_x,
|  | file_info * | headfax )

Definition at line 95 of file cube_io.c.

References cur_x, file_info::dspfoutfp, and file_info::xdim.

Referenced by write_cube().